## Controller Python Script "pasteAlias"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind state=state
##bind subpath=traverse_subpath
##parameters=
##title=Paste objects as Aliases into a folder
##


from ZODB.POSException import ConflictError

msg='Copy one or more items first.' 

if context.cb_dataValid:
    try:
        res=context.simplealias_tool.manage_pasteAsAlias(context)

        from Products.CMFPlone import transaction_note
        transaction_note('Pasted content as Alias to %s' % (context.absolute_url()))
        return state.set(portal_status_message=res)
    except ConflictError:
        raise
    except AttributeError: 
        msg='Paste as Alias could not find clipboard content'

return state.set(status='failure', portal_status_message=msg)